import { ComponentFixture, TestBed } from '@angular/core/testing';

import { DomainDetailsWhoisInformationComponent } from './domain-details-whois-information.component';
import { ReactiveFormsModule } from '@angular/forms';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';
import { MatAutocompleteModule } from '@angular/material/autocomplete';
import { RouterTestingModule } from '@angular/router/testing';

describe('DomainDetailsWhoisInformationComponent', () => {
  let component: DomainDetailsWhoisInformationComponent;
  let fixture: ComponentFixture<DomainDetailsWhoisInformationComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [DomainDetailsWhoisInformationComponent],
      imports: [
        ReactiveFormsModule, HttpClientTestingModule, MatSnackBarModule, MatDialogModule, MatAutocompleteModule,
        RouterTestingModule,
      ],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(DomainDetailsWhoisInformationComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
